org.eclipse.ease.ui.completion.provider

## Enum LocationResolver.Type

- java.lang.Object
- - java.lang.Enum<LocationResolver.Type>
  - - org.eclipse.ease.ui.completion.provider.LocationResolver.Type

All Implemented Interfaces:
  Serializable, Comparable<LocationResolver.Type>

Enclosing class:
  LocationResolver

    public static enum LocationResolver.Type
    extends Enum<LocationResolver.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FILE`
`GENERIC_URI`
`HTTP`
`PROJECT`
`UNKNOWN`
`WORKSPACE`

### Method Summary

All Methods Static Methods Concrete Methods
`static LocationResolver.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LocationResolver.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FILE

    public static final LocationResolver.Type FILE

#### WORKSPACE

    public static final LocationResolver.Type WORKSPACE

#### PROJECT

    public static final LocationResolver.Type PROJECT

#### HTTP

    public static final LocationResolver.Type HTTP

#### GENERIC_URI

    public static final LocationResolver.Type GENERIC_URI

#### UNKNOWN

    public static final LocationResolver.Type UNKNOWN

### Method Detail

#### values

    public static LocationResolver.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LocationResolver.Type c : LocationResolver.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LocationResolver.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null